org.eclipse.wst.jsdt.core

## Interface IJavaScriptModelMarker

    public interface IJavaScriptModelMarker

Markers used by the JavaScript model.

This interface declares constants only; it is not intended to be implemented or extended.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`static java.lang.String` `ARGUMENTS` Id marker attribute (value `"arguments"`).
`static java.lang.String` `BUILDPATH_PROBLEM_MARKER` Include path problem marker type (value `"org.eclipse.wst.jsdt.core.buildpath_problem"`).
`static java.lang.String` `CATEGORY_ID` ID category marker attribute (value `"categoryId"`)
`static java.lang.String` `CYCLE_DETECTED` Cycle detected marker attribute (value `"cycleDetected"`).
`static java.lang.String` `FLAGS` Flags marker attribute (value `"flags"`).
`static java.lang.String` `ID` ID marker attribute (value `"id"`).
`static java.lang.String` `INCLUDEPATH_FILE_FORMAT` IncludePath file format marker attribute (value `"classpathFileFormat"`).
`static java.lang.String` `JAVASCRIPT_MODEL_PROBLEM_MARKER` JavaScript model problem marker type (value `"org.eclipse.wst.jsdt.core.problem"`).
`static java.lang.String` `TASK_MARKER` JavaScript model task marker type (value `"org.eclipse.wst.jsdt.core.task"`).
`static java.lang.String` `TRANSIENT_PROBLEM` JavaScript model transient problem marker type (value `"org.eclipse.wst.jsdt.core.transient_problem"`).

### Field Detail

#### JAVASCRIPT_MODEL_PROBLEM_MARKER

    static final java.lang.String JAVASCRIPT_MODEL_PROBLEM_MARKER

JavaScript model problem marker type (value `"org.eclipse.wst.jsdt.core.problem"`). This can be used to recognize those markers in the workspace that flag problems detected by the JavaScript tooling during validation.

See Also:
  Constant Field Values

#### TRANSIENT_PROBLEM

    static final java.lang.String TRANSIENT_PROBLEM

JavaScript model transient problem marker type (value `"org.eclipse.wst.jsdt.core.transient_problem"`). This can be used to recognize those markers in the workspace that flag transient problems detected by the JavaScript tooling (such as a problem detected by the outliner, or a problem detected during a code completion). Since 1.0, transient problems are reported as `IProblem` through various API. Only the evaluation API is still producing markers for transient problems.

See Also:
  `IProblem`, `org.eclipse.wst.jsdt.core.eval.ICodeSnippetRequestor#acceptProblem(org.eclipse.core.resources.IMarker,String, int)`, Constant Field Values

#### TASK_MARKER

    static final java.lang.String TASK_MARKER

JavaScript model task marker type (value `"org.eclipse.wst.jsdt.core.task"`). This can be used to recognize task markers in the workspace that correspond to tasks specified in JavaScript source comments and detected during compilation (for example, 'TO-DO: ...'). Tasks are identified by a task tag, which can be customized through `JavaScriptCore` option `"org.eclipse.wst.jsdt.core.compiler.taskTag"`.

See Also:
  Constant Field Values

#### ARGUMENTS

    static final java.lang.String ARGUMENTS

Id marker attribute (value `"arguments"`). Arguments are concatenated into one String, prefixed with an argument count (followed with colon separator) and separated with '#' characters. For example: { "foo", "bar" } is encoded as "2:foo#bar", { } is encoded as "0: "

See Also:
  Constant Field Values

#### ID

    static final java.lang.String ID

ID marker attribute (value `"id"`).

See Also:
  Constant Field Values

#### CATEGORY_ID

    static final java.lang.String CATEGORY_ID

ID category marker attribute (value `"categoryId"`)

See Also:
  Constant Field Values

#### FLAGS

    static final java.lang.String FLAGS

Flags marker attribute (value `"flags"`). Reserved for future use.

See Also:
  Constant Field Values

#### CYCLE_DETECTED

    static final java.lang.String CYCLE_DETECTED

Cycle detected marker attribute (value `"cycleDetected"`). Used only on buildpath problem markers. The value of this attribute is either "true" or "false".

See Also:
  Constant Field Values

#### BUILDPATH_PROBLEM_MARKER

    static final java.lang.String BUILDPATH_PROBLEM_MARKER

Include path problem marker type (value `"org.eclipse.wst.jsdt.core.buildpath_problem"`). This can be used to recognize those markers in the workspace that flag problems detected by the JavaScript tooling during includepath setting.

See Also:
  Constant Field Values

#### INCLUDEPATH_FILE_FORMAT

    static final java.lang.String INCLUDEPATH_FILE_FORMAT

IncludePath file format marker attribute (value `"classpathFileFormat"`). Used only on includepath problem markers. The value of this attribute is either "true" or "false".

See Also:
  Constant Field Values